{ pkgs, ... }: {
  # Upgrades
  system.autoUpgrade = {
    enable = true;
    allowReboot = false;
  };

  # Auto-GC and store optimizations
  nix = {
    trustedUsers = [ "root" "hackens" ];
    package = pkgs.nixUnstable;
    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 60d";
    };
    optimise.automatic = true;
    extraOptions = ''
      experimental-features = nix-command flakes
      # Thank you
      min-free = ${toString (100 * 1024 * 1024)}
      max-free = ${toString (1024 * 1024 * 1024)}
    '';
  };

  services.locate.enable = true;
  services.openssh.enable = true;
  services.openssh.passwordAuthentication = false;
  networking.firewall.enable = false;
  documentation.info.enable = false;
}
